Bug 179483 - yum disallows regular expression searches
yum disallows regular expression searches
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 14:09 EST by James Hunt
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-04 19:56:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Hunt 2006-01-31 14:09:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Yum does not allow regular expressions in "search" command.


Version-Release number of selected component (if applicable):
yum-2.4.1-1.fc4

How reproducible:
Always

Steps to Reproduce:
1. yum search "^php"

  

Actual Results:  No Matches found

Expected Results:  php
php-devel
php-mysql
  :
  :


Additional info:
Comment 1 Seth Vidal 2006-03-04 19:56:06 EST
you're actually best off just typing in the word you're looking for if you're
doing a search w/o any globs or regexes.

if you're looking for a package name don't use search at all.

use yum list:

yum list php\*

that will get you the answers you want much better and faster.

but we won't be adding regexes there, either. Distinguishing b/t regexes and
file globs is too much for way too little benefit.

Note You need to log in before you can comment on or make changes to this bug.